# Constant Field Values

## Contents

- org.codehaus.*

## org.codehaus.*

org.codehaus.commons.compiler.IClassBodyEvaluator
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_CLASS_NAME`
`"SC"`
org.codehaus.commons.compiler.IExpressionEvaluator
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_CLASS_NAME`
`"SC"`
org.codehaus.commons.compiler.IScriptEvaluator
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_METHOD_NAME`
`"eval*"`

org.codehaus.commons.compiler.util.LineAndColumnTracker
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_TAB_WIDTH`
`8`
org.codehaus.commons.compiler.util.StringPattern
Modifier and Type
Constant Field
Value
`public static final int`
`EXCLUDE`
`1`
`public static final int`
`INCLUDE`
`0`

org.codehaus.janino.Descriptor
Modifier and Type
Constant Field
Value
`public static final String`
`BOOLEAN`
`"Z"`
`public static final String`
`BYTE`
`"B"`
`public static final String`
`CHAR`
`"C"`
`public static final String`
`DOUBLE`
`"D"`
`public static final String`
`FLOAT`
`"F"`
`public static final String`
`INT`
`"I"`
`public static final String`
`JAVA_IO_SERIALIZABLE`
`"Ljava/io/Serializable;"`
`public static final String`
`JAVA_LANG_ANNOTATION_RETENTION`
`"Ljava/lang/annotation/Retention;"`
`public static final String`
`JAVA_LANG_ASSERTIONERROR`
`"Ljava/lang/AssertionError;"`
`public static final String`
`JAVA_LANG_BOOLEAN`
`"Ljava/lang/Boolean;"`
`public static final String`
`JAVA_LANG_BYTE`
`"Ljava/lang/Byte;"`
`public static final String`
`JAVA_LANG_CHARACTER`
`"Ljava/lang/Character;"`
`public static final String`
`JAVA_LANG_CLASS`
`"Ljava/lang/Class;"`
`public static final String`
`JAVA_LANG_CLONEABLE`
`"Ljava/lang/Cloneable;"`
`public static final String`
`JAVA_LANG_DOUBLE`
`"Ljava/lang/Double;"`
`public static final String`
`JAVA_LANG_ENUM`
`"Ljava/lang/Enum;"`
`public static final String`
`JAVA_LANG_ERROR`
`"Ljava/lang/Error;"`
`public static final String`
`JAVA_LANG_EXCEPTION`
`"Ljava/lang/Exception;"`
`public static final String`
`JAVA_LANG_FLOAT`
`"Ljava/lang/Float;"`
`public static final String`
`JAVA_LANG_INTEGER`
`"Ljava/lang/Integer;"`
`public static final String`
`JAVA_LANG_ITERABLE`
`"Ljava/lang/Iterable;"`
`public static final String`
`JAVA_LANG_LONG`
`"Ljava/lang/Long;"`
`public static final String`
`JAVA_LANG_OBJECT`
`"Ljava/lang/Object;"`
`public static final String`
`JAVA_LANG_OVERRIDE`
`"Ljava/lang/Override;"`
`public static final String`
`JAVA_LANG_RUNTIMEEXCEPTION`
`"Ljava/lang/RuntimeException;"`
`public static final String`
`JAVA_LANG_SHORT`
`"Ljava/lang/Short;"`
`public static final String`
`JAVA_LANG_STRING`
`"Ljava/lang/String;"`
`public static final String`
`JAVA_LANG_STRINGBUILDER`
`"Ljava/lang/StringBuilder;"`
`public static final String`
`JAVA_LANG_SYSTEM`
`"Ljava/lang/System;"`
`public static final String`
`JAVA_LANG_THROWABLE`
`"Ljava/lang/Throwable;"`
`public static final String`
`JAVA_LANG_VOID`
`"Ljava/lang/Void;"`
`public static final String`
`JAVA_UTIL_ITERATOR`
`"Ljava/util/Iterator;"`
`public static final String`
`LONG`
`"J"`
`public static final String`
`SHORT`
`"S"`
`public static final String`
`VOID`
`"V"`
org.codehaus.janino.Java.Wildcard
Modifier and Type
Constant Field
Value
`public static final int`
`BOUNDS_EXTENDS`
`1`
`public static final int`
`BOUNDS_NONE`
`0`
`public static final int`
`BOUNDS_SUPER`
`2`
org.codehaus.janino.Mod
Modifier and Type
Constant Field
Value
`public static final short`
`ABSTRACT`
`1024`
`public static final short`
`ANNOTATION`
`8192`
`public static final short`
`BRIDGE`
`64`
`public static final short`
`ENUM`
`16384`
`public static final short`
`FINAL`
`16`
`public static final short`
`INTERFACE`
`512`
`public static final short`
`NATIVE`
`256`
`public static final short`
`NONE`
`0`
`public static final short`
`PACKAGE`
`0`
`public static final short`
`PPP`
`7`
`public static final short`
`PRIVATE`
`2`
`public static final short`
`PROTECTED`
`4`
`public static final short`
`PUBLIC`
`1`
`public static final short`
`STATIC`
`8`
`public static final short`
`STRICTFP`
`2048`
`public static final short`
`SUPER`
`32`
`public static final short`
`SYNCHRONIZED`
`32`
`public static final short`
`SYNTHETIC`
`4096`
`public static final short`
`TRANSIENT`
`128`
`public static final short`
`VARARGS`
`128`
`public static final short`
`VOLATILE`
`64`
org.codehaus.janino.Scanner
Modifier and Type
Constant Field
Value
`public static final String`
`SYSTEM_PROPERTY_SOURCE_DEBUGGING_DIR`
`"org.codehaus.janino.source_debugging.dir"`
`public static final String`
`SYSTEM_PROPERTY_SOURCE_DEBUGGING_ENABLE`
`"org.codehaus.janino.source_debugging.enable"`
`public static final String`
`SYSTEM_PROPERTY_SOURCE_DEBUGGING_KEEP`
`"org.codehaus.janino.source_debugging.keep"`
org.codehaus.janino.UnitCompiler
Modifier and Type
Constant Field
Value
`public static final boolean`
`JUMP_IF_FALSE`
`false`
`public static final boolean`
`JUMP_IF_TRUE`
`true`

org.codehaus.janino.util.AutoIndentWriter
Modifier and Type
Constant Field
Value
`public static final char`
`CLEAR_TABULATORS`
`'\ufffe'`
`public static final char`
`INDENT`
`'\ufffd'`
`public static final char`
`TABULATOR`
`'\uffff'`
`public static final char`
`UNINDENT`
`'\ufffc'`
org.codehaus.janino.util.ClassFile
Modifier and Type
Constant Field
Value
`public static final short`
`MAJOR_VERSION_JDK_1_1`
`45`
`public static final short`
`MAJOR_VERSION_JDK_1_10`
`54`
`public static final short`
`MAJOR_VERSION_JDK_1_11`
`55`
`public static final short`
`MAJOR_VERSION_JDK_1_12`
`56`
`public static final short`
`MAJOR_VERSION_JDK_1_2`
`46`
`public static final short`
`MAJOR_VERSION_JDK_1_3`
`47`
`public static final short`
`MAJOR_VERSION_JDK_1_4`
`48`
`public static final short`
`MAJOR_VERSION_JDK_1_5`
`49`
`public static final short`
`MAJOR_VERSION_JDK_1_6`
`50`
`public static final short`
`MAJOR_VERSION_JDK_1_7`
`51`
`public static final short`
`MAJOR_VERSION_JDK_1_8`
`52`
`public static final short`
`MAJOR_VERSION_JDK_1_9`
`53`
`public static final short`
`MINOR_VERSION_JDK_1_1`
`3`
`public static final short`
`MINOR_VERSION_JDK_1_10`
`0`
`public static final short`
`MINOR_VERSION_JDK_1_11`
`0`
`public static final short`
`MINOR_VERSION_JDK_1_12`
`0`
`public static final short`
`MINOR_VERSION_JDK_1_2`
`0`
`public static final short`
`MINOR_VERSION_JDK_1_3`
`0`
`public static final short`
`MINOR_VERSION_JDK_1_4`
`0`
`public static final short`
`MINOR_VERSION_JDK_1_5`
`0`
`public static final short`
`MINOR_VERSION_JDK_1_6`
`0`
`public static final short`
`MINOR_VERSION_JDK_1_7`
`0`
`public static final short`
`MINOR_VERSION_JDK_1_8`
`0`
`public static final short`
`MINOR_VERSION_JDK_1_9`
`0`

org.codehaus.janino.util.charstream.CharStream
Modifier and Type
Constant Field
Value
`public static final int`
`EOI`
`-1`